function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	zoom_casket = CreateZoomZone('close_zone_casket',
                                  '',
                                  'bak',
                                  'sprait_tarelki',
								  'key')
	
	InitChain1(screen)
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen)
	InitChain4(screen)
	game_state.chain4.final = true
	AddSheriffEyeLogic()
	
	play_field:GetObject('clockpine1'):SetOpacity(0)
	play_field:GetObject('clockpine2'):SetOpacity(0)
	play_field:GetObject('kuku'):SetOpacity(0)
	play_field:GetObject('kuku'):GetAnimation():Stop()
	play_field:GetObject('piece_of_book'):SetOpacity(0)
	play_field:GetObject('piece_of_book'):GetAnimation():Stop()
	play_field:IgnoreOnTestPoint('piece_of_book')
	play_field:GetObject('maiatnik'):SetOpacity(0)
	play_field:GetObject('maiatnik'):GetAnimation():Stop()
	
	local object = play_field:GetObject('clock');
	inventory_clock = CreateInventory(object:GetX(),
                                        object:GetY() + 150,
                                        object:GetZ() + 10,
                                        "clock",
                                        CreateItem('pine1_tool', 'pine1'),
                                        CreateItem('pine2_tool', 'pine2'),
                                        CreateItem('key_tool', 'key_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_28_1");
										
	inventory_clock.state_changer = 'OnClockComplete'
										
	inventory_clock.OnShown = function()
		RegisterZoomZone(zoom_casket, 'casket_active_zone')
	end
										
	inventory_clock.OnComplete = function()
		play_field:GetObject('clockpine1'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('clockpine2'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('kuku'):GetAnimation():Play()
		play_field:GetObject('kuku'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('piece_of_book'):GetAnimation():Play()
		play_field:GetObject('piece_of_book'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('maiatnik'):GetAnimation():Play()
		play_field:GetObject('maiatnik'):ChangeOpacity(0, 1, 0.3)
		game_state.cookoo_sound = CreateSoundEntity('28_Coockoo');
		game_state.cookoo_sound:AttachTo(play_field)
		game_state.cookoo_sound:Play(true)
	end
	
	CreateTool("pine1", "pine1")
	CreateTool("pine2", "pine2")
	local t = CreateTool('key', 'key_scaled')
    t.OnSet = function()
	    play_field:GetObject('key_scaled'):SetOpacity(1)
	    zoom_casket.SetVisible(false)	    
	    game_state.locker:Release()    
	end
	
	t.OnFail = function()
	    play_field:GetObject('key_scaled'):SetOpacity(0)	    
		local obj = play_field:GetObject('casket_active_zone');
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    obj:GetX(),
                                    obj:GetY(),
                                    300)
	end
	
	t.OnSuccess = function()
		UnregisterZoomZone(zoom_casket)
	end
	level:AddTaskSafe(CreateTask('PIECE_OF_BOOK', '', 'piece_of_book'))
	AddRandomTasks(18,
               CreateTask('BOWKNOT', '', 'bowknot'),
               CreateTask('BRUSH', 'BRUSHES', 'brush', 'paintbrush'),
               CreateTask('CANDLEHOLDER', '', 'candleholder'),
               CreateTask('CENTIPEDE', '', 'centipede'),
               CreateTask('FAN1', '', 'fan'),
               CreateTask('GLASSES', '', 'glasses'),
               CreateTask('HOURGLASS', '', 'hourglass'),
               CreateTask('JAG', 'JAGS', 'jag', 'jag_2'),
               CreateTask('PADLOCK', '', 'padlock'),
               CreateTask('SCALES', '', 'scales'),
               CreateTask('SCISSORS', '', 'scissors'),
               CreateTask('STICK', '', 'stick'),
               CreateTask('TIE', '', 'tie'),
               CreateTask('TURTLE', '', 'turtle'),
			   CreateTask('GLOVE', '', 'glove'),
			   CreateTask('HANGER', '', 'hanger'),			   
			   CreateTask('TEDDYBEAR', '', 'teddybear')
	)
	
	play_field:IgnoreOnTestPoint('sprait_tarelki');
	
	game_state.tvset_sound = CreateSoundEntity('28_TVSet');
	game_state.tvset_sound:AttachTo(play_field)
	game_state.tvset_sound:Play(true)
	game_state.meta_object = 'cigar28'
	
	game_state.OnStartingComicsComplete = function()
		inventory_clock.Unlock()
	end
	
	game_state.OnClockComplete = function()
		play_field:GetObject('clockpine1'):SetOpacity(1)
		play_field:GetObject('clockpine2'):SetOpacity(1)
		play_field:GetObject('kuku'):GetAnimation():Play()
		play_field:GetObject('kuku'):SetOpacity(1)
		if play_field:HasObject('piece_of_book') then
			play_field:GetObject('piece_of_book'):GetAnimation():Play()
			play_field:GetObject('piece_of_book'):SetOpacity(1)
		end
		play_field:GetObject('maiatnik'):GetAnimation():Play()
		play_field:GetObject('maiatnik'):SetOpacity(1)
		game_state.cookoo_sound = CreateSoundEntity('28_Coockoo');
		game_state.cookoo_sound:AttachTo(play_field)
		game_state.cookoo_sound:Play(true)
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end	    
	    load_screen('data/Scenes/Minigames/28_puzzle_book.lua');  
	end
	
	game_state.OnChain2NotStarted = function()
	    if GetProfileManager():GetCurrentProfile():CallsFunction('OnMinigameConditionsComplete') then
	        return
	    end
	    game_state.chain2.Start()
	end
end

function OnMinigameCompleted()
	game_state.cookoo_sound = CreateSoundEntity('28_Coockoo');
	game_state.cookoo_sound:AttachTo(play_field)
	game_state.cookoo_sound:Play(true)
		
	game_state.tvset_sound = CreateSoundEntity('28_TVSet');
	game_state.tvset_sound:AttachTo(play_field)
	game_state.tvset_sound:Play(true)
	
	if IsNotebookClosed() and ArePanelTasksComplete() then
		game_state.chain4.Start()
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');    
	
	comics1.OnHidden = function()
		inventory_clock.Unlock()
		comics1.DefaultOnHidden()
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_28_1"));
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');        
    
    comics1.OnHidden = function()
        game_state.locker:Release()  
        game_state.cookoo_sound:Stop();
        game_state.tvset_sound:Stop();
        GetProfileManager():GetCurrentProfile():AddStateChanger('OnMinigameConditionsComplete')
		load_screen('data/Scenes/Minigames/28_puzzle_book.lua');  
	end     
	
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_28_2"));
end

function InitChain4(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes'); 
    comics1.OnHidden = function()
		OnWin()
	end     
    
    game_state.chain4 = CreateChain('pixel_comics_4',
                                    screen,
                                    comics1, GetString("COMICS_28_4"));
end


function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	game_state.chain4.Start()
end

function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnNotebookOpened()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
       local obj_name = object:GetName()
       if obj_name == 'clock_back' then
			local obj = play_field:GetObject("piece_of_book")
            obj:GetAnimation():Stop()
			obj:GetAnimation():SetFrame(5)
			play_field:OnObjectFound(obj)
			object:SetOpacity(0)
	   end
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
    if object:GetName() == 'piece_of_book' then
	    GetProfileManager():GetCurrentProfile():AddStateChanger('OnChain2NotStarted')	
	end
end

function OnObjectWasFound(object)
	if object:GetName() == 'piece_of_book' then	    
		game_state.chain2.Start()
	end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/bowknot.png',0,0,63,33,1,0)
	anim:SetHotSpot(31,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bowknot',anim,960,618,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/brush.png',0,0,91,63,1,0)
	anim:SetHotSpot(45,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,790,719,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/candleholder.png',0,0,53,59,1,0)
	anim:SetHotSpot(26,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candleholder',anim,817,439,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/centipede.png',0,0,70,54,1,0)
	anim:SetHotSpot(35,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('centipede',anim,918,535,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/fan.png',0,0,53,66,1,0)
	anim:SetHotSpot(26,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,774,127,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/glasses.png',0,0,67,36,1,0)
	anim:SetHotSpot(33,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,476,558,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/hourglass.png',0,0,40,68,1,0)
	anim:SetHotSpot(20,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,284,217,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/jag.png',0,0,72,42,1,0)
	anim:SetHotSpot(36,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jag',anim,523,503,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/jag_2.png',0,0,52,75,1,0)
	anim:SetHotSpot(26,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jag_2',anim,904,212,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/padlock.png',0,0,46,38,1,0)
	anim:SetHotSpot(23,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock',anim,550,624,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/scales.png',0,0,78,114,1,0)
	anim:SetHotSpot(39,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scales',anim,261,419,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/scissors.png',0,0,49,91,1,0)
	anim:SetHotSpot(24,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors',anim,909,407,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/stick.png',0,0,50,131,1,0)
	anim:SetHotSpot(25,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stick',anim,376,366,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/tie.png',0,0,38,85,1,0)
	anim:SetHotSpot(19,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tie',anim,491,238,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/turtle.png',0,0,73,59,1,0)
	anim:SetHotSpot(36,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle',anim,587,720,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/sprait_korobki.png',0,0,62,74,1,0)
	anim:SetHotSpot(31,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_korobki',anim,915,433,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/sprait_podokonnika.png',0,0,47,54,1,0)
	anim:SetHotSpot(23,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_podokonnika',anim,912,248,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/sprait_trosti.png',0,0,45,74,1,0)
	anim:SetHotSpot(22,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_trosti',anim,391,416,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/pine1.png',0,0,85,39,1,0)
	anim:SetHotSpot(42,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pine1',anim,984,454,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/pine2.png',0,0,99,44,1,0)
	anim:SetHotSpot(49,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pine2',anim,936,749,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/pine1.png',0,0,85,39,1,0)
	anim:SetHotSpot(42,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pine1_tool',anim,948,48,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/pine2.png',0,0,99,44,1,0)
	anim:SetHotSpot(49,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pine2_tool',anim,952,80,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('casket_active_zone',anim,588,438,100,0,8,6)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Zoom/bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bak',anim,512,384,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Zoom/sprait_tarelki.png',0,0,66,95,1,0)
	anim:SetHotSpot(33,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_tarelki',anim,360,385,310,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Zoom/key.png',0,0,70,82,1,0)
	anim:SetHotSpot(35,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('key',anim,349,392,305,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/sprait_rujya.png',0,0,24,55,1,0)
	anim:SetHotSpot(12,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_rujya',anim,1008,462,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Animations/wheel.png',0,0,74,129,25,10)
	anim:SetHotSpot(37,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wheel',anim,374,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Animations/patifotelik.dds',0,0,200,100,25,10)
	anim:SetHotSpot(100,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('patifotelik',anim,701,359,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Animations/kuku.png',0,0,31,38,16,8)
	anim:SetHotSpot(16,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kuku',anim,358,61,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Animations/maiatnik.png',0,0,47,63,12,20)
	anim:SetHotSpot(24,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('maiatnik',anim,353,142,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Animations/clock.png',0,0,96,107,1,0)
	anim:SetHotSpot(48,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,352,66,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/pine.png',0,0,15,55,1,0)
	anim:SetHotSpot(7,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clockpine1',anim,338,144,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/pine.png',0,0,15,55,1,0)
	anim:SetHotSpot(7,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clockpine2',anim,363,134,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Zoom/key.png',0,0,70,82,1,0)
	anim:SetHotSpot(35,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_tool',anim,896,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Zoom/key.png',0,0,70,82,1,0)
	anim:SetHotSpot(35,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_scaled',anim,584,436,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Animations/piece_of_book.png',0,0,50,35,16,8)
	anim:SetHotSpot(25,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piece_of_book',anim,372,71,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clock_back',anim,365,70,99,0,8,7)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Layers/sprait_galstuka.png',0,0,33,29,1,0)
	anim:SetHotSpot(16,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_galstuka',anim,498,205,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/glove.png',0,0,74,46,1,0)
	anim:SetHotSpot(37,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove',anim,308,675,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/hanger.png',0,0,131,82,1,0)
	anim:SetHotSpot(65,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hanger',anim,777,40,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/paintbrush.png',0,0,78,35,1,0)
	anim:SetHotSpot(39,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('paintbrush',anim,758,609,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/smily.png',0,0,43,44,1,0)
	anim:SetHotSpot(21,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('smily',anim,336,506,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/Items/teddybear.png',0,0,50,49,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teddybear',anim,521,414,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/28_basement_laundry_11/cigar28.png',0,0,74,19,1,0)
	anim:SetHotSpot(37,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar28',anim,697,463,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
